Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | Public Attributes | Properties | List of all members
RerouteSlot Class Reference

Slot used for midpoint of DataBranch. More...

Inheritance diagram for RerouteSlot:

## Public Member Functions
override void | Disconnect ()
| Disconnect the connection. More...
void | SetInputBranch (DataBranch branch)
| Set DataBranch. More...
void | RemoveInputBranch (DataBranch branch)
| Remove DataBranch. More...
DataBranch | GetInputBranch ()
| Get DataBranch. More...
bool | IsConnectedInput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
void | AddOutputBranch (DataBranch branch)
| Addition of DataBranch. More...
void | RemoveOutputBranch (DataBranch branch)
| Remove DataBranch. More...
int | GetOutputBranchCount ()
| Get count of DataBranch. More...
DataBranch | GetOutputBranch (int index)
| Get DataBranch. More...
bool | IsConnectedOutput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
| RerouteSlot ()
| RerouteSlot constructor More...
override void | ClearBranch ()
| Clear the connection status. More...
void | Copy (RerouteSlot slot)
| For editor. More...

## Public Attributes
int | inputBranchID
| Input branch ID More...
List< int > | outputBranchIDs = new List<int>()
| Output branch ID More...
ClassTypeReference | type = new ClassTypeReference()
| Connectable value type More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| Slot type More...
override System.Type | dataType`[get]`
| The type of data stored in the slot More...
IInputSlot | inputSlot`[get]`
| Access input slot interface More...
IOutputSlot | outputSlot`[get]`
| Access input slot interface More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IDataSlot
SlotType | slotType`[get]`
| Slot type More...
System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from IOutputSlot
int | branchCount`[get]`
| Get count of DataBranch. More...
Properties inherited from ISerializeVersionCallbackReceiver
int | newestVersion`[get]`
| newest version More...

## Additional Inherited Members
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| Callback event when connection is changed More...

## Detailed Description

Slot used for midpoint of DataBranch.

## Constructor & Destructor Documentation

## ◆ RerouteSlot()

RerouteSlot | ( |  | ) |

RerouteSlot constructor

## Member Function Documentation

## ◆ AddOutputBranch()

void AddOutputBranch | ( | DataBranch | branch | ) |

Addition of DataBranch.

Parameters

  branch | DataBranch

## ◆ ClearBranch()

override void ClearBranch | ( |  | ) |
| virtual

Clear the connection status.

Since the DataBranch remains, call it when the connection status is no longer needed by copy and paste.

Implements DataSlot.

## ◆ Copy()

void Copy | ( | RerouteSlot | slot | ) |

For editor.

Copy the connection status.

Parameters

  slot | Source slot

## ◆ Disconnect()

override void Disconnect | ( |  | ) |
| virtual

Disconnect the connection.

Implements DataSlot.

## ◆ GetInputBranch()

DataBranch GetInputBranch | ( |  | ) |

Get DataBranch.

Returns
  DataBranch

## ◆ GetOutputBranch()

DataBranch GetOutputBranch | ( | int | index | ) |

Get DataBranch.

Parameters

  index | Index

Returns
  DataBranch

## ◆ GetOutputBranchCount()

int GetOutputBranchCount | ( |  | ) |

Get count of DataBranch.

Returns
  Count of DataBranch

## ◆ IsConnectedInput()

bool IsConnectedInput | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

## ◆ IsConnectedOutput()

bool IsConnectedOutput | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

## ◆ RemoveInputBranch()

void RemoveInputBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

## ◆ RemoveOutputBranch()

void RemoveOutputBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

## ◆ SetInputBranch()

void SetInputBranch | ( | DataBranch | branch | ) |

Set DataBranch.

Parameters

  branch | DataBranch

## Member Data Documentation

## ◆ inputBranchID

int inputBranchID

Input branch ID

## ◆ outputBranchIDs

List<int> outputBranchIDs = new List<int>()

Output branch ID

## ◆ type

ClassTypeReference type = new ClassTypeReference()

Connectable value type

## Property Documentation

## ◆ dataType

override System.Type dataType
| get

The type of data stored in the slot

## ◆ inputSlot

IInputSlot inputSlot
| get

Access input slot interface

## ◆ outputSlot

IOutputSlot outputSlot
| get

Access input slot interface

## ◆ slotType

override SlotType slotType
| get

Slot type